# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
# Upstream uses weird versioning convention
%global upstreamver 2.3_1-opensource

Summary:	QIODevice that compresses data streams
Name:		qtiocompressor
Version:	2.3.1
Release:	alt1_5
Group:		System/Libraries
License:	GPLv3 or LGPLv2 with exceptions
URL:		http://qt.nokia.com/products/appdev/add-on-products/catalog/4/Utilities/qtiocompressor/
Source0:	http://get.qt.nokia.com/qt/solutions/lgpl/qtiocompressor-%{upstreamver}.tar.gz
# To add qmake support for convenience for packages using this library:
# http://bugreports.qt.nokia.com/browse/QTSOLBUG-119
Source1:	qtiocompressor.prf
# Don't build examples:
Patch0:		qtiocompressor-build.patch
BuildRequires:	qt4-devel
Source44: import.info


%description
The class works on top of a QIODevice subclass, compressing data before it is
written and decompressing it when it is read. Since QtIOCompressor works on
streams, it does not have to see the entire data set before compressing or
decompressing it. This can reduce the memory requirements when working on large
data sets.

%package	devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains libraries and header files for developing applications
that use QtIOCompressor.

%prep
%setup -q -n %{name}-%{upstreamver}
%patch0 -p1

%build
touch .licenseAccepted
# Does not use GNU configure
./configure -library
qmake-qt4
make %{?_smp_mflags}


%install

# libraries
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -a lib/* $RPM_BUILD_ROOT%{_libdir}
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*.*.*

# headers
mkdir -p $RPM_BUILD_ROOT%{_includedir}/QtSolutions
cp -a \
    src/qtiocompressor.h \
    src/QtIOCompressor \
    $RPM_BUILD_ROOT%{_includedir}/QtSolutions

mkdir -p $RPM_BUILD_ROOT%{_qt4_datadir}/mkspecs/features
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_qt4_datadir}/mkspecs/features/

%files
%doc LGPL_EXCEPTION.txt LICENSE.* README.TXT
%{_qt4_libdir}/lib*.so.*

%files devel
%doc doc examples
%{_qt4_libdir}/lib*.so
%{_qt4_headerdir}/QtSolutions/
%{_qt4_datadir}/mkspecs/features/%{name}.prf

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_5
- initial fc import

